import Vue from 'vue'
import App from './App.vue'
import store from './store'
import router from './router'

import './components'
import '@/styles/index.scss' // global css
import plugins from './plugins' // global plugins

import {
  Tree, Message, MessageBox, Dialog, Input, Select, Button, Dropdown,
  DropdownMenu,
  DropdownItem,
  Tabs,
  Loading,
  TabPane,
} from 'element-ui';
Vue.use(Tree)
Vue.use(Dialog)
Vue.use(Input)
Vue.use(Select)
Vue.use(Button)
Vue.use(Dropdown)
Vue.use(DropdownMenu)
Vue.use(DropdownItem)
Vue.use(Tabs)
Vue.use(TabPane)
Vue.use(Loading.directive);

Vue.prototype.$message = Message;
Vue.prototype.$msgbox = MessageBox;

// 自定义插件挂载到vue原型上
Vue.use(plugins)

Vue.config.productionTip = false

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
